Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614249 - Review Request: perl-Hash-Diff - return difference between two hashes as a hash
Review Request: perl-Hash-Diff - return difference between two hashes as a hash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 19:08 EDT by Jérôme Fenal
Modified: 2011-06-29 09:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jérôme Fenal 2010-07-13 19:08:19 EDT
Spec URL: http://github.com/jfenal/perl-Hash-Diff/raw/master/perl-Hash-Diff.spec
SRPM URL: http://github.com/downloads/jfenal/perl-Hash-Diff/perl-Hash-Diff-0.003-1.fc13.src.rpm
RPMS(noarch) : http://github.com/downloads/jfenal/perl-Hash-Diff/perl-Hash-Diff-0.003-1.fc13.noarch.rpm

Description: Hash::Diff returns the difference between to hashes as a hash.


FE-NEEDSPONSOR

This is my second package for Fedora, and I'm looking for a sponsor.
Comment 1 Emmanuel Seyman 2010-07-14 10:28:46 EDT
Taking.
Comment 2 Emmanuel Seyman 2010-07-14 10:33:15 EDT
The .spec in the .src.rpm is not the same as the one in the link above.
Jérôme, please fix this.
Comment 3 Jérôme Fenal 2010-07-14 12:32:02 EDT
Argh... Sorry Emmanuel.

Just rebuilt and uploaded to the same URLs both srpm & noarch, from the spec in github repo. You can download it again.
Comment 4 Emmanuel Seyman 2010-07-14 17:40:49 EDT
The two spec files are still different (same difference as last time).

Please increment EVR every time you make a change and post a direct link to both the spec file and the .src.rpm every time.
Comment 6 Emmanuel Seyman 2010-09-15 17:53:00 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2470192

 [x] Rpmlint output:
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
bc33914b1602e956141fd5e86eccaf0c  Hash-Diff-0.003.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.

I'ld use %{version} in Source0 to avoid having to change it everytime
there's a new upstream release but that's a nitpick, not a blocker.

 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2470192
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=3, Tests=5,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.10 cusr  0.02 csys =  0.15 CPU)
Result: PASS

APPROVED.
Comment 7 Rakesh Pandit 2010-09-20 00:53:02 EDT
Fixed bug summary.

May you fix summary in spec as well before importing:

Form "Return difference between to hashes as a hash" to "Return difference between two hashes as a hash".
Comment 8 Jérôme Fenal 2010-09-21 16:03:34 EDT
Bumped package release :
- Fixed the typo in %description, but still present in the original pod.
- Also updated upstream ticket to reflect this change : https://rt.cpan.org/Ticket/Display.html?id=59333
- Pushed .spec to github : http://github.com/jfenal/perl-Hash-Diff/raw/master/perl-Hash-Diff.spec
- as well as uploaded newly built .rpm & .src.rpm : http://github.com/jfenal/perl-Hash-Diff/downloads 
  - SRPM: http://github.com/downloads/jfenal/perl-Hash-Diff/perl-Hash-Diff-0.003-3.fc13.src.rpm
  - RPM: http://github.com/downloads/jfenal/perl-Hash-Diff/perl-Hash-Diff-0.003-3.fc13.noarch.rpm
Comment 9 Jérôme Fenal 2010-10-09 06:28:23 EDT
Newer version, rebased on upstream 0.005 (pod typo fixes from 0.003).
Upstream ticket closed/solved with success.

- spec:  http://github.com/jfenal/perl-Hash-Diff/raw/master/perl-Hash-Diff.spec
- SRPM: http://github.com/downloads/jfenal/perl-Hash-Diff/perl-Hash-Diff-0.005-1.fc13.src.rpm 
- RPM: http://github.com/downloads/jfenal/perl-Hash-Diff/perl-Hash-Diff-0.005-1.fc13.noarch.rpm
Comment 10 Jérôme Fenal 2010-10-09 06:32:47 EDT
New Package SCM Request
=======================
Package Name: perl-Hash-Diff
Short Description: Hash::Diff returns the difference between to hashes as a hash.
Owners: jfenal
Branches: el5 el6 f13 f14
InitialCC:
Comment 11 Kevin Fenzi 2010-10-10 00:23:51 EDT
Git done (by process-git-requests).
Comment 12 Bug Zapper 2011-06-01 09:59:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-29 09:34:33 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.